org.infinispan.schematic.internal

## Class CacheSchemaLibrary.WrappedFuture

- java.lang.Object
- - org.infinispan.schematic.internal.CacheSchemaLibrary.WrappedFuture

- All Implemented Interfaces:
    Future<Document>, org.infinispan.util.concurrent.NotifyingFuture<Document>
  Enclosing class:
    CacheSchemaLibrary

      protected class CacheSchemaLibrary.WrappedFuture
      extends Object
      implements org.infinispan.util.concurrent.NotifyingFuture<Document>

- - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `CacheSchemaLibrary.WrappedFuture(org.infinispan.util.concurrent.NotifyingFuture<SchematicEntry> original)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `org.infinispan.util.concurrent.NotifyingFuture<Document>` | `attachListener(org.infinispan.util.concurrent.FutureListener<Document> listener)`
    `boolean` | `cancel(boolean mayInterruptIfRunning)`
    `Document` | `get()`
    `Document` | `get(long timeout, TimeUnit unit)`
    `boolean` | `isCancelled()`
    `boolean` | `isDone()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CacheSchemaLibrary.WrappedFuture

          protected CacheSchemaLibrary.WrappedFuture(org.infinispan.util.concurrent.NotifyingFuture<SchematicEntry> original)

  - ### Method Detail

    - #### attachListener

          public org.infinispan.util.concurrent.NotifyingFuture<Document> attachListener(org.infinispan.util.concurrent.FutureListener<Document> listener)

      Specified by:
        `attachListener` in interface `org.infinispan.util.concurrent.NotifyingFuture<Document>`

    - #### cancel

          public boolean cancel(boolean mayInterruptIfRunning)

      Specified by:
        `cancel` in interface `Future<Document>`

    - #### get

          public Document get()
                       throws InterruptedException,
                              ExecutionException

      Specified by:
        `get` in interface `Future<Document>`
      Throws:
        `InterruptedException`
        `ExecutionException`

    - #### get

          public Document get(long timeout,
                     TimeUnit unit)
                       throws InterruptedException,
                              ExecutionException,
                              TimeoutException

      Specified by:
        `get` in interface `Future<Document>`
      Throws:
        `InterruptedException`
        `ExecutionException`
        `TimeoutException`

    - #### isCancelled

          public boolean isCancelled()

      Specified by:
        `isCancelled` in interface `Future<Document>`

    - #### isDone

          public boolean isDone()

      Specified by:
        `isDone` in interface `Future<Document>`

Copyright © 2008-2014 JBoss, a division of Red Hat. All Rights Reserved.